/*
 * ----------------------------------------------------
 * 		public abstract class AbstractDao
 * ----------------------------------------------------
 * 
 * public AbstractDao()					->  init()ȣ
 * private void init()					-> DB̹ ε
 * public Connection getConnection()	-> DB 
 * public void close(Connection conn, Statement stmt, ResultSet rs) -> DB ݱ
 * 
 * 
 * 
 * DAO 鿡 DB   
 * ̹ε, , ݱ⸦ ߻Ŭ  
 * 
 */

package com.project.dao;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import com.project.util.StudentUtil;

public abstract class AbstractDao {

	public AbstractDao() {
		init();
	} //
	
	// 1/6 ̹ ε
	private void init() {
		try {
			Class.forName(StudentUtil.DRIVER);
		} catch (ClassNotFoundException e) {
			System.out.println(" 1/6 ̹ ε " + StudentUtil.DRIVER);
		}
	}
	
	// 2/6 
	public Connection getConnection() {
		Connection conn = null;
		try {
			conn = DriverManager.getConnection(StudentUtil.url, StudentUtil.USER, StudentUtil.PASS);
		} catch (SQLException e) {
			System.out.println("2/6   :"+StudentUtil.url);
		}
		return conn;
	}
	
	// 6/6 ݱ
	public void close(Connection conn, Statement stmt, ResultSet rs) {
		if (rs!=null) {
			try {
				rs.close();
			} catch (SQLException e) {
			}
		}//rs
		if (stmt != null) {
			try {
				stmt.close();
			} catch (SQLException e) {
			}
		}//stmt
		if (conn!=null) {
			try {
				conn.close();
			} catch (SQLException e) {
				System.out.println("6/6 ݱ  : ");
			}
		}//conn
	}//close
}